Subject: bug#15814: 24.3.50; Signal error on malformed bindings in `cl-symbol-macrolet' (patch)

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Nov 2013 08:33:55 -0500

>> Now that I think about it, maybe an alternative for the "let format
>> checks" is to keep them in bytecomp.el and change cconv so that the
>> problems are *preserved* (and hence later detected by bytecomp).
> I thought the point of moving them to macroexp was so the checks happen
> even when we're not compiling.

No, the point was mainly to consolidate the checks from 2 places to
a single place.  If people don't compile their code, they get very
little feedback about the quality of their code, and I don't think it's
important to change this state of affair.

macroexp--warn* is handy when you need it (e.g. in cl-symbol-macrolet),
but it's a hack, so if we don't need to use it, better.

        Stefan